#define	IO_BASE				20000


/*	New Errors	*/

#define IOERRORADMINGROUPSFULL		(IO_BASE + 20)
#define IOERRORGROUPDOESNOTEXIST	(IO_BASE + 6)


/*	Old Errors	*/




#define IO_INVALID_ARGUMENTS	(IO_BASE + 1)
#define IO_NO_ACCESS			(IO_BASE + 2)
#define IO_NOT_GADMIN			(IO_BASE + 11)
#define IO_NO_SLOTS				(IO_BASE + 15)

#define IO_INVALID_ARRAY		(IO_BASE + 50)
#define IO_INVALID_LINE			(IO_BASE + 51)

#define IO_ENCRYPTION_REQUIRED	(IO_BASE + 80)

#define IO_APPEND_SCRIPT		(IO_BASE + 100)
#define IO_STORE_SCRIPT			(IO_BASE + 101)
#define IO_NEWDIR_SCRIPT		(IO_BASE + 102)
#define IO_LOGIN_SCRIPT			(IO_BASE + 103)
#define IO_LOGOUT_SCRIPT		(IO_BASE + 104)

#define IO_NO_ACCESS_PATHCHECK	(IO_BASE + 200)
#define IO_NO_ACCESS_PRIVATE	(IO_BASE + 201)
#define IO_INVALID_FILENAME		(IO_BASE + 202)
#define IO_NO_ACCESS_FXP_IN		(IO_BASE + 203)
#define IO_NO_ACCESS_FXP_OUT	(IO_BASE + 204)
#define IO_NO_CREDITS			(IO_BASE + 205)
#define IO_SSL_FAIL				(IO_BASE + 206)
#define IO_NO_ACCESS_VFS		(IO_BASE + 207)




#define IO_TRANSFER_ABORTED		(IO_BASE + 500)
#define IO_TRANSFER_CLOSING		(IO_BASE + 501)
#define IO_TRANSFER_TIMEOUT		(IO_BASE + 502)


#undef ERROR_GROUP_NOT_FOUND
#undef ERROR_USER_EXISTS
#undef ERROR_GROUP_EXISTS

#define	ERROR_ID_NOT_FOUND		(IO_BASE + 600)
#define	ERROR_MODULE_CONFLICT	(IO_BASE + 601)
#define	ERROR_INVALID_IDNAME	(IO_BASE + 602)
#define ERROR_ID_EXISTS			(IO_BASE + 603)
#define	ERROR_USER_NOT_FOUND	(IO_BASE + 605)
#define ERROR_GROUP_NOT_FOUND	(IO_BASE + 606)
#define ERROR_MODULE_NOT_FOUND	(IO_BASE + 607)
#define ERROR_USER_EXISTS		(IO_BASE + 608)
#define ERROR_GROUP_EXISTS		(IO_BASE + 609)
#define ERROR_INVALID_ARGUMENTS	(IO_BASE + 610)
#define ERROR_MISSING_ARGUMENT	(IO_BASE + 611)
#define ERROR_GROUP_LOCK_FAILED	(IO_BASE + 612)
#define ERROR_USER_LOCK_FAILED	(IO_BASE + 613)
#define ERROR_USERNAME			(IO_BASE + 614)
#define	ERROR_GROUPNAME			(IO_BASE + 615)
#define	ERROR_NO_ACTIVE_DEVICE	(IO_BASE + 616)
#define	ERROR_USER_NOT_ONLINE	(IO_BASE + 617)
#define	ERROR_SERVICE_LOGINS	(IO_BASE + 618)
#define	ERROR_CLASS_LOGINS		(IO_BASE + 619)
#define	ERROR_IP_LOGINS			(IO_BASE + 620)
#define	ERROR_USER_LOGINS		(IO_BASE + 621)
#define	ERROR_PASSWORD			(IO_BASE + 622)
#define	ERROR_CLIENT_HOST		(IO_BASE + 623)
#define	ERROR_MASTER			(IO_BASE + 624)
#define ERROR_GROUP_NOT_EMPTY	(IO_BASE + 625)
#define ERROR_FILESEEK			(IO_BASE + 626)
#define ERROR_INVALID_MOUNT_ENTRY	(IO_BASE + 630)
#define ERROR_INVALID_FILEMODE		(IO_BASE + 631)


#define ERROR_RETURN(ERROR, RETURN) { SetLastError(ERROR); return RETURN; }